Get a service database with credentials
curl --request GET \
--url https://orbitlab.dev/api/v1/services/{id}/databases/{dbId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://orbitlab.dev/api/v1/services/{id}/databases/{dbId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orbitlab.dev/api/v1/services/{id}/databases/{dbId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}{
"error": "<unknown>"
}Databases
Get a service database with credentials
Requires the owner or admin role in the organization.
CLI: orbitlab db inspect <dbId> --service [service]
GET
/
v1
/
services
/
{id}
/
databases
/
{dbId}
Get a service database with credentials
Autorisations
bearerAuthsessionCookie
API token (olab_…) created in Settings → API tokens or with orbitlab login.
En-têtes
Organization to act on (id or slug) for tokens that can access several organizations. Defaults to your first organization.
Réponse
database including password and connectionUrl.
The response is of type object.
Cette page vous a-t-elle été utile ?